## espeak-ng 1.49.0+dfsg

=== debian/changelog ===
espeak-ng (1.49.0+dfsg-11) unstable; urgency=medium

  * patches/bufsize: Increasing the buffersize to 60ms brought back some
    overlapping. Revert this to 49ms, which both avoids overlapping, and
    was tested to work fine with all MBROLA voices.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Jun 2017 22:04:57 +0200

espeak-ng (1.49.0+dfsg-10) unstable; urgency=medium

  * patches/bufsize: Increase buffersize to 60ms like upstream did, to fix using
    MBROLA voices (Closes: Bug#860891).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Apr 2017 16:32:54 +0200

espeak-ng (1.49.0+dfsg-9) unstable; urgency=medium

  * control: Add version to libespeak-ng-libespeak1 Provides
    (Closes: Bug#859949).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Apr 2017 23:05:00 +0200

espeak-ng (1.49.0+dfsg-8) unstable; urgency=medium

  * control: Fix libespeak-ng-libespeak1 dependency on libespeak-ng1, thanks
    Andreas Beckmann (Closes: Bug#857523)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 13:00:59 +0100

espeak-ng (1.49.0+dfsg-7) unstable; urgency=medium

  * control: Fix Vcs and Homepage fields, thanks Jeremy Bicha for the notice
    (Closes: Bug#851484).
  * patches/git-reactivity: Drop part of patch which was reverted upstream.
  * patches/fix-cancel: Close audio on cancel like espeak used to do, to make
    sure audio cards don't keep PCM in buffers.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jan 2017 03:01:06 +0100

espeak-ng (1.49.0+dfsg-6) unstable; urgency=medium

  * patches/bufsize: Reduce buffer size to improve interactivity when the
    audio output gets stuck.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Jan 2017 03:41:38 +0100

espeak-ng (1.49.0+dfsg-5) unstable; urgency=medium

  * patches/monotonous: Work-around monotonous speech issue with brltty
    (Closes: Bug#848158).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jan 2017 23:14:24 +0100

espeak-ng (1.49.0+dfsg-4) unstable; urgency=medium

  * patches/git-reactivity: Complete with more upstream fixes for reactivity.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Jan 2017 23:32:08 +0100

espeak-ng (1.49.0+dfsg-3) unstable; urgency=medium

  * patches/reproducible: Make build reproducible by fixing uninitialized
    values.
  * patches/git-reactivity: cherry-pick upstream fix for reactivity
    (Closes: Bug#848016)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Dec 2016 16:11:13 +0100

espeak-ng (1.49.0+dfsg-2) unstable; urgency=medium

  * control: Update Uploaders.
  * patches/big-endian: Fix build on big-endian archs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Nov 2016 00:37:35 +0100

espeak-ng (1.49.0+dfsg-1) unstable; urgency=medium

  * New fork release (Closes: Bug#836800)
  * patches: Remove all patches except path, and refresh it.
  * patches/ieee: Fix ieee80.c build.
  * control: Rename packages to espeak-ng. Add espeak-ng-espeak,
    libespeak-ng-espeak1, and libespeak-ng-espeak-dev compatibility
    packages. Add dh-autoreconf, dh-exec, ruby-ronn, ruby-kramdown
    build-dependencies, replace portaudio19-dev and libpulse-dev dependency
    with libpcaudio-dev.
  * watch: Switch to espeak-ng;
  * docs,copyright,espeak-ng.doc-base: update.
  * clean, dirs: drop.
  * rules: Almost drop everything.
  * espeak.1, manpages: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Sep 2016 01:05:00 +0200

espeak (1.48.04+dfsg-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #836690)
    + Pass triplet-prefixed CXX to make

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:42:23 +0200

espeak (1.48.04+dfsg-4) unstable; urgency=medium

  * patches/path: Drop looking for voices in /usr/share/mbrola/voices: our
    Debian packages never put voices there, and letting espeak look there
    would show a warning to the user that suggests that voices should be put
    there, which is not the case in Debian.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:29:54 +0200

espeak (1.48.04+dfsg-3) unstable; urgency=medium

  * patches/char_cast: New patch, fixes build with g++-6 (Closes: Bug#811772).
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 23:59:25 +0200

espeak (1.48.04+dfsg-2) unstable; urgency=medium

  * watch: Generalize URL.
  * Bump Standards-Version to 3.9.6 (no changes).
  * espeak.1: Update, thus adding -g and -z documentation. Closes: Bug#788190.
  * patches/fpic: Patch from upstream to fix sparc64 build.
  * compat: Bump to 9.
  * rules: Use dh.
  * control: Drop hardening-wrapper build-depend.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 20:30:50 +0100

espeak (1.48.04+dfsg-1) unstable; urgency=medium

  * Rebuild upstream tarball without windows platform files.
  * watch: Mangle version for +dfsg.
  * copyright: Add portaudio and sonic licences. Closes: Bug#747214.
  * Remove libespeak1-udeb, we will continue linking espeakup statically.
    Closes: Bug#747240.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 12:04:40 +0200

espeak (1.48.04-1) unstable; urgency=medium

  * New upstream release
  * copyright: Update.
  * patches/utf-8-init: Refresh.
  * rules: Fix privacy-breach-logo.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 19:05:04 +0200

espeak (1.47.11-2) unstable; urgency=medium

  * Add libespeak1-udeb shared library for the installer, so it can be
    upgraded at the same time as libespeak-data.

  * libespeak1.shlibs: Remove file, replaced by dh_makeshlibs call.
  * Remove pulse-trigger-on-final-chunk, it actually does not have effect.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2014 00:50:40 -0500

espeak (1.47.11-1) unstable; urgency=low

  * New upstream release

