=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/releases .*/v?(\d\S*)\.tar\.gz
