## espeak-ng 1.49.1+dfsg

=== debian/changelog ===
espeak-ng (1.49.1+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.

  [ Paul Gevers ]
  * Upload to 1.49.1+dfsg to unstable
  * Improve watch file
  * Refresh patches

 -- Paul Gevers <elbrus@debian.org>  Wed, 12 Jul 2017 20:46:10 +0200

espeak-ng (1.49.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - patches/{ieee,git-unary,git-ewmh,big-endian,reproducible,
    git-reactivity,bufsize}: Remove, merged upstream.
    - rules: Disable dh_auto_test, upstream uses it only for android.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Apr 2017 17:00:29 +0200
