=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: espeak-ng
 Section: sound
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
