## espeak-ng 1.49.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, dh-exec,
  libpcaudio-dev, libsonic-dev,
  ruby-ronn, ruby-kramdown
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 
 Package: espeak-ng
 Architecture: any
