=== debian/changelog ===
espeak-ng (1.49.2+dfsg-8) unstable; urgency=medium

  * patches/fix-cancel: Do not open audio when audio speak mode is not
    enabled.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Nov 2018 00:01:43 +0100

espeak-ng (1.49.2+dfsg-7) unstable; urgency=medium

  * nocancel: Fix hang on cancellation of threads holding mutexes.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Nov 2018 11:02:44 +0100

espeak-ng (1.49.2+dfsg-6) unstable; urgency=medium

  * rules: Fix binary-indep build, thanks Santiago Vila for the notice.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Oct 2018 01:28:37 +0200

espeak-ng (1.49.2+dfsg-5) unstable; urgency=medium

  * control: Make espeak-ng-espeak Architecture: all.
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Compare autopkgtest output against reference.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:28:28 +0200

espeak-ng (1.49.2+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.5 (no changes).
  * patches/lessgreat-punct: Upstream fix for punctuation classification
    (Closes: Bug#902347).
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jul 2018 09:37:47 +0200

espeak-ng (1.49.2+dfsg-3) unstable; urgency=medium

  * control: Replace ruby-ronn build-dep with ronn (Closes: Bug#903057).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Jul 2018 01:43:39 +0200

espeak-ng (1.49.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes).
  * patches/out_of_bound: Fix out of bound access
  * patches/audio_reopen: Try to reopen audio device on each text synth, so
    that e.g. busy cards don't prevent future text synth.
  * patches/privacy: Remove external img URLs from README.html

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2018 21:24:54 +0200

espeak-ng (1.49.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/monotonous: Drop patch, fixed upstream.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jan 2018 00:29:48 +0100
