=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Homepage: https://github.com/espeak-ng/espeak-ng
 Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, dh-exec,
  libpcaudio-dev, libsonic-dev,
- ruby-ronn, ruby-kramdown
-Standards-Version: 4.1.1
+ ronn, ruby-kramdown
+Standards-Version: 4.2.0
 
 Package: espeak-ng
 Architecture: any
@@ -35,7 +35,7 @@
    * Written in C.
 
 Package: espeak-ng-espeak
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Provides: espeak
 Conflicts: espeak
