=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,13 @@
 	dh_auto_build -- DATADIR=$(DATADIR)
 	LC_ALL=C.UTF-8 $(MAKE) docs
 
+override_dh_auto_test:
+	true
+
 override_dh_auto_install:
 	dh_auto_install -- DATADIR=$(DATADIR)
 
 override_dh_install:
 	dh_install
-	cp -al $(CURDIR)/debian/espeak-ng-data/usr $(CURDIR)/debian/espeak-ng-data-udeb
+	[ ! -d $(CURDIR)/debian/espeak-ng-data/usr ] || cp -al $(CURDIR)/debian/espeak-ng-data/usr $(CURDIR)/debian/espeak-ng-data-udeb
 	rm -fr $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/mbrola* $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/voices/mb $(CURDIR)/debian/espeak-ng-data-udeb/usr/share
