## espeak-ng 1.50%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: espeak-ng
 Section: sound
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
+Vcs-Browser: https://salsa.debian.org/a11y-team/espeak-ng
+Vcs-Git: https://salsa.debian.org/a11y-team/espeak-ng.git
 Homepage: https://github.com/espeak-ng/espeak-ng
-Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, dh-exec,
+Build-Depends: debhelper-compat (= 13), dh-exec,
  libpcaudio-dev, libsonic-dev,
- ronn, ruby-kramdown
-Standards-Version: 4.2.0
+ ronn, kramdown
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 
 Package: espeak-ng
 Architecture: any
