## espeak-ng 1.50+dfsg

=== debian/changelog ===
espeak-ng (1.50+dfsg-7+deb11u1) bullseye; urgency=medium

  * patches/even-delay: Drop spurious 50ms delay while processing events, this
    adds potentially very long latency to canceling speech.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Feb 2022 02:41:25 +0100

espeak-ng (1.50+dfsg-7) unstable; urgency=medium

  * patches/no-common: Fix build with gcc-10 (Closes: Bug#957181).
  * control: Update alioth list domain.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * rules: Disable parallel build.
  * rules: Create $(CURDIR)/debian/espeak-ng-data-udeb ourself.
  * debian/not-installed: Record that we intentionally don't install .la files.
  * control: Drop now-unused dh-autoreconf build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 01:26:35 +0200

espeak-ng (1.50+dfsg-6) unstable; urgency=medium

  * control: Build-depend on kramdown instead of ruby-kramdown
    (Closes: #949562).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Jan 2020 18:24:00 +0100

espeak-ng (1.50+dfsg-5) unstable; urgency=medium

  * patches/fix-tests-bash: Fix running tests with /bin/sh being bash.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jan 2020 15:30:24 +0100

espeak-ng (1.50+dfsg-4) unstable; urgency=medium

  * greek-rules: Add missing greek rules, fixes build on some archs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 04 Dec 2019 09:40:35 +0100

espeak-ng (1.50+dfsg-3) unstable; urgency=medium

  * rules: Do not set ESPEAK_DATA_PATH, Makefile actually sets it (but
    wrongly).
  * patches/ESPEAK_DATA_PATH: Fix setting ESPEAK_DATA_PATH.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 22:50:17 +0100

espeak-ng (1.50+dfsg-2) unstable; urgency=medium

  * rules: Set ESPEAK_DATA_PATH to source directory during tests
    (Closes: Bug#946052).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 22:02:21 +0100

espeak-ng (1.50+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #915201)
    - patches/audio_reopen: Upstreamed.
    - patches/lessgreat-punct: Upstreamed.
    - patches/out_of_bound: Upstreamed.
    - patches/nocancel: Upstreamed.
    - patches/fix-cancel: Refreshed.
    - patches/privacy: Refreshed.
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * rules: Re-enable tests.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 01:48:39 +0100
