=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: espeak-ng
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/espeak-ng
 Vcs-Git: https://salsa.debian.org/a11y-team/espeak-ng.git
 Homepage: https://github.com/espeak-ng/espeak-ng
-Build-Depends: debhelper-compat (= 13), dh-exec,
+Build-Depends: debhelper-compat (= 12), dh-exec,
  libpcaudio-dev, libsonic-dev,
  ronn, kramdown
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.5.0
 
 Package: espeak-ng
 Architecture: any
