=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 DATADIR = /usr/lib/$(DEB_HOST_MULTIARCH)/espeak-ng-data
 
 %:
-	dh $@ --with autoreconf
+	# The build doesn't work in parallel
+	dh $@ --with autoreconf --no-parallel
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
@@ -17,13 +18,11 @@
 	dh_auto_build -- DATADIR=$(DATADIR)
 	LC_ALL=C.UTF-8 $(MAKE) docs
 
-override_dh_auto_test:
-	true
-
 override_dh_auto_install:
 	dh_auto_install -- DATADIR=$(DATADIR)
 
 override_dh_install:
 	dh_install
+	mkdir $(CURDIR)/debian/espeak-ng-data-udeb
 	[ ! -d $(CURDIR)/debian/espeak-ng-data/usr ] || cp -al $(CURDIR)/debian/espeak-ng-data/usr $(CURDIR)/debian/espeak-ng-data-udeb
 	rm -fr $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/mbrola* $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/voices/mb $(CURDIR)/debian/espeak-ng-data-udeb/usr/share
