=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/releases .*/.*-@ANY_VERSION@@ARCHIVE_EXT@
