## espeak-ng 1.51+dfsg

=== debian/changelog ===
espeak-ng (1.51+dfsg-9~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 23 Sep 2022 00:13:49 +0200

espeak-ng (1.51+dfsg-9) unstable; urgency=medium

  * watch: Add watching Tags as well.
  * patches/mb-fr: Fix confusion between mbrola-fr1 and mbrola-fr4.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:03:12 +0200

espeak-ng (1.51+dfsg-8) unstable; urgency=medium

  * patches/lang: Fix testsuite under various locales.
  * rules: Fix time of patched md files.
  * patches/long-build-path: ssml: Use a larger buffer.
  * patches/i386: Actually fix i386-specific behavior.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Jul 2022 23:49:39 +0200

espeak-ng (1.51+dfsg-7) unstable; urgency=medium

  * patches/big-endian: Fix loading wav files on big-endian architectures.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Apr 2022 10:49:44 +0200

espeak-ng (1.51+dfsg-6) unstable; urgency=medium

  * tests/control: Enable fuzz test on supported archs only.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Apr 2022 14:44:42 +0200

espeak-ng (1.51+dfsg-5) unstable; urgency=medium

  * rules: Disable speechplayer for now.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 18:24:54 +0200

espeak-ng (1.51+dfsg-4) unstable; urgency=medium

  * patches/32bits: Make specific to i386, the issue is apparently
    i386-specific.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 16:09:19 +0200

espeak-ng (1.51+dfsg-3) unstable; urgency=medium

  * patches/big-endian,32bits: Add expected 32bit and big-endian results
    instead of ignoring the discrepancy.
  * patches/CI: Ignore false positive on CI.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 14:13:30 +0200

espeak-ng (1.51+dfsg-2) unstable; urgency=medium

  * patches/big-endian: Avoid some tests on big-endian archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 04:15:44 +0200

espeak-ng (1.51+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/path: Drop, upstream now shows all paths.
    - patches/bufsize: Refresh.
    - patches/privacy: Refresh.
    - patches/greek-rules: Drop, merged upstream.
    - patches/fix-tests-bash: Drop, merged upstream.
    - patches/no-common: Drop, merged upstream.
    - patches/nbsp: Drop, merged upstream.
    - patches/mbrola-lang: Drop, merged upstream.
    - patches/x: Merged upstream, replace with...
    - patches/x: ... avoiding checking +x in debian/.
    - patches/event-delay: Drop, merged upstream.
    - patches/parallel: Drop upstream patch.
    - patches/windows: New patch to drop windows installer test.
    - tests/fuzz: Fix fuzz run.
    - rules: Drop now-default enabling extdicts.
    - tests/tests: Run testsuite.
    - patches/32bits: Avoid some tests on 32bit archs.
  * tests/: Add fuzzing test.
  * patches/parallel: Fix parallel build.
  * rules: Enable parallel build.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 00:35:08 +0200

espeak-ng (1.50+dfsg-10) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/even-delay: Drop spurious 50ms delay while processing events, this
    adds potentially very long latency to canceling speech.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Feb 2022 02:41:25 +0100

espeak-ng (1.50+dfsg-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Samuel Thibault ]
  * patches/nbsp: Avoid non-ascii files.
  * patches/mbrola-lang: Fix portuguese and french voices priorities.
  * patches/x: Drop spurious +x permission.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Dec 2021 11:59:57 +0100

espeak-ng (1.50+dfsg-8) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Name (from ./configure), Repository, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update watch file format version to 4.

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * rules: Keep mbrola data.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2021 13:42:47 +0200
