=== debian/tests/control ===
Depends: espeak-ng
Test-Command: espeak-ng "Hello, world!" --stdout > $AUTOPKGTEST_TMP/output.wav && diff $AUTOPKGTEST_TMP/output.wav debian/tests/output.wav

Tests: fuzz
Architecture: amd64 arm64 i386
Depends: @builddeps@, clang, libespeak-ng-dev

Tests: tests
Depends: @builddeps@
