=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/releases .*/.*-@ANY_VERSION@@ARCHIVE_EXT@
