=== debian/changelog ===
espeak-ng (1.52.0+dfsg-5~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 04 Apr 2025 08:35:12 +0200

espeak-ng (1.52.0+dfsg-5) unstable; urgency=medium

  * patches/piper: Port upstream addition of
    espeak_TextToPhonemesWithTerminator for piper (Closes: Bug#1100093)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 23:12:35 +0200

espeak-ng (1.52.0+dfsg-4) unstable; urgency=medium

  * patches/espeak-stdin: Fix dropping last byte of stdin input.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Dec 2024 00:17:25 +0100

espeak-ng (1.52.0+dfsg-3) unstable; urgency=medium

  * patches/libsonic-bigendian: Fix libsonic usage on big-endian.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Dec 2024 00:57:05 +0100

espeak-ng (1.52.0+dfsg-2) unstable; urgency=medium

  * patches/klatt-garbage: Fix garbage in klatt case, detected on big-endian
    archs.
  * patches/bufsize: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Dec 2024 23:53:21 +0100

espeak-ng (1.52.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/CVE: Upstreamed.
    - patches/big-endian: Upstreamed.
    - patches/bom: Upstreamed.
    - patches/fix-ssml-voice-select-mbrola: Upstreamed.
    - patches/i386: Upstreamed.
    - patches/lang: Upstreamed.
    - patches/long-build-path: Upstreamed.
    - patches/mb-fr: Upstreamed.
    - patches/noopen: Upstreamed.
    - patches/windows: Now useless.
    - patches/bufsize: Refresh.
    - patches/nocard: Avoid test part that requires an audio card.
    - test-patches/use_system_espeak_ng: Refresh.
    - patches/clang-target: Fix getting target cpu.
    - patches/fuzz-link: Fix linking tests_ssml_fuzzer_test with libfuzzer.
    - patches/th_dict: Fix generating th_dict.
    - patches/compile-reproducibility: Fix reproducibility of compilation.
  * tests/fuzz: Always unpatch on exit.
  * patches/noopen: Do not create audio out if not required.
  * patches/fix-ssml-voice-select-mbrola: Fix mbrola voice selection in
    ssml.
  * watch: Only watch tags, releases get published in diverse ways.
  * gbp.conf: Filter out src/windows automatically.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 13 Dec 2024 01:51:31 +0100

espeak-ng (1.51+dfsg-12) unstable; urgency=medium

  * patches/bom: Avoid detecting bom in bom patch itself.
  * patches/CVE: Fix CVE-2023-49990, CVE-2023-49991, CVE-2023-49992,
    CVE-2023-49993, CVE-2023-49994 (Closes: Bug#1059060)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Dec 2023 01:26:02 +0100

espeak-ng (1.51+dfsg-11) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/bom: Fix spurious bom character.
  * clean: Clean generated files (Closes: Bug#1044811)
  * patches/privacy: Fix another image ref.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Aug 2023 22:57:44 +0200

espeak-ng (1.51+dfsg-10) unstable; urgency=medium

  * watch: Use API instead of releases page.
  * tests/control: Build-depend on libclang-rt-dev (Closes: Bug#1029556).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jan 2023 01:09:47 +0100
